<?php

class AnnualCycle extends \Eloquent
{
    protected $fillable = [];
    protected $table = 'annual_cycle';
    //protected $appends = ["outcomes"];

    // return outcomes in annual plan to
    public function annual_plans()
    {
        return $this->hasMany('AnnualPlan');
    }

    public function semester_start()
    {
        return $this->belongsTo("Semester", "annual_cycle_semester_start_foreign", "semester_start");
    }
    public function semester_end()
    {
        return $this->belongsTo("Semester", "annual_cycle_semester_end_foreign", "semester_end");
    }
}